#include <iostream>
#include <math.h>

using namespace std;

int main()
{
long long v,q;
int k=0,x=0;
cin>>v;
q=v;
while (q>0)
    {q=q/10;
     k++;}

while(v!=0)
{

    while((5*pow(10,k--)<=v))
     {v=v-5*pow(10,k--);
      x++;}
      while((2*pow(10,k--)<=v))
     {v=v-2*pow(10,k--);
      x++;}
      while((pow(10,k--)<=v))
     {v=v-pow(10,k--);
      x++;}
k--;}
     cout<<x;
}